/crm/v3/timeline/events
Creates an instance of a timeline event based on an event template. Once created, this event is immutable on the object timeline and cannot be modified. If the event template was configured to update object properties via objectPropertyName, this call will also attempt to updates those properties, or add them if they don’t exist.
The timeline event definition.
application/json
TimelineEvent
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| utk | string | optional |
| string | optional | |
| domain | string | optional |
| tokens | object | required |
| objectId | string | optional |
| extraData | object | optional |
| timestamp | string | optional |
| timelineIFrame | object | optional |
| └ url | string | required |
| └ width | integer | required |
| └ height | integer | required |
| └ linkLabel | string | required |
| └ headerLabel | string | required |
| eventTemplateId | string | required |
successful operation
POST /crm/v3/timeline/events
/crm/v3/timeline/events/batch/create
Creates multiple instances of timeline events based on an event template. Once created, these event are immutable on the object timeline and cannot be modified. If the event template was configured to update object properties via objectPropertyName, this call will also attempt to updates those properties, or add them if they don’t exist.
The timeline event definition.
application/json
BatchInputTimelineEvent
| Property | Type | Required |
|---|---|---|
| inputs | array | required |
| └ id | string | optional |
| └ utk | string | optional |
| string | optional | |
| └ domain | string | optional |
| └ tokens | object | required |
| └ objectId | string | optional |
| └ extraData | object | optional |
| └ timestamp | string | optional |
| └ timelineIFrame | object | optional |
| └ url | string | required |
| └ width | integer | required |
| └ height | integer | required |
| └ linkLabel | string | required |
| └ headerLabel | string | required |
| └ eventTemplateId | string | required |
successful operation
multiple statuses
POST /crm/v3/timeline/events/batch/create
/crm/v3/timeline/events/{eventTemplateId}/{eventId}
This returns the previously created event. It contains all existing info for the event, but not necessarily the CRM object.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| eventTemplateId | path | required | string | The event template ID. |
| eventId | path | required | string | The event ID. |
successful operation
GET /crm/v3/timeline/events/{eventTemplateId}/{eventId}
/crm/v3/timeline/events/{eventTemplateId}/{eventId}/detail
This will take the detailTemplate from the event template and return an object rendering the specified event. If the template references extraData that isn’t found in the event, it will be ignored and we’ll render without it.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| eventTemplateId | path | required | string | The event template ID. |
| eventId | path | required | string | The event ID. |
successful operation
GET /crm/v3/timeline/events/{eventTemplateId}/{eventId}/detail
/crm/v3/timeline/events/{eventTemplateId}/{eventId}/render
This will take either the headerTemplate or detailTemplate from the event template and render for the specified event as HTML. If the template references extraData that isn’t found in the event, it will be ignored and we’ll render without it.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| eventTemplateId | path | required | string | The event template ID. |
| eventId | path | required | string | The event ID. |
| detail | query | optional | boolean | Set to ‘true’, we want to render the |
successful operation
GET /crm/v3/timeline/events/{eventTemplateId}/{eventId}/render
/crm/v3/objects/companies/gdpr-delete
Permanently delete a contact and all associated content to follow GDPR. Use optional property ‘idProperty’ set to ‘email’ to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future.
application/json
PublicGdprDeleteInput
| Property | Type | Required |
|---|---|---|
| objectId | string | required |
| idProperty | string | optional |
No content
POST /crm/v3/objects/companies/gdpr-delete
/crm/v3/objects/contacts/gdpr-delete
Permanently delete a contact and all associated content to follow GDPR. Use optional property ‘idProperty’ set to ‘email’ to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future.
application/json
PublicGdprDeleteInput
| Property | Type | Required |
|---|---|---|
| objectId | string | required |
| idProperty | string | optional |
No content
POST /crm/v3/objects/contacts/gdpr-delete
/crm/v3/objects/deals/gdpr-delete
Permanently delete a contact and all associated content to follow GDPR. Use optional property ‘idProperty’ set to ‘email’ to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future.
application/json
PublicGdprDeleteInput
| Property | Type | Required |
|---|---|---|
| objectId | string | required |
| idProperty | string | optional |
No content
POST /crm/v3/objects/deals/gdpr-delete
/crm/v3/objects/feedback_submissions/gdpr-delete
Permanently delete a contact and all associated content to follow GDPR. Use optional property ‘idProperty’ set to ‘email’ to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future.
application/json
PublicGdprDeleteInput
| Property | Type | Required |
|---|---|---|
| objectId | string | required |
| idProperty | string | optional |
No content
POST /crm/v3/objects/feedback_submissions/gdpr-delete
/crm/v3/objects/line_items/gdpr-delete
Permanently delete a contact and all associated content to follow GDPR. Use optional property ‘idProperty’ set to ‘email’ to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future.
application/json
PublicGdprDeleteInput
| Property | Type | Required |
|---|---|---|
| objectId | string | required |
| idProperty | string | optional |
No content
POST /crm/v3/objects/line_items/gdpr-delete
/crm/v3/objects/products/gdpr-delete
Permanently delete a contact and all associated content to follow GDPR. Use optional property ‘idProperty’ set to ‘email’ to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future.
application/json
PublicGdprDeleteInput
| Property | Type | Required |
|---|---|---|
| objectId | string | required |
| idProperty | string | optional |
No content
POST /crm/v3/objects/products/gdpr-delete
/crm/v3/objects/quotes/gdpr-delete
Permanently delete a contact and all associated content to follow GDPR. Use optional property ‘idProperty’ set to ‘email’ to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future.
application/json
PublicGdprDeleteInput
| Property | Type | Required |
|---|---|---|
| objectId | string | required |
| idProperty | string | optional |
No content
POST /crm/v3/objects/quotes/gdpr-delete
/crm/v3/objects/tickets/gdpr-delete
Permanently delete a contact and all associated content to follow GDPR. Use optional property ‘idProperty’ set to ‘email’ to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future.
application/json
PublicGdprDeleteInput
| Property | Type | Required |
|---|---|---|
| objectId | string | required |
| idProperty | string | optional |
No content
POST /crm/v3/objects/tickets/gdpr-delete
/crm/v3/properties/{objectType}/groups
Read all existing property groups for the specified object type and HubSpot account.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
successful operation
GET /crm/v3/properties/{objectType}/groups
/crm/v3/properties/{objectType}/groups
Create and return a copy of a new property group.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
application/json
PropertyGroupCreate
| Property | Type | Required |
|---|---|---|
| name | string | required |
| label | string | required |
| displayOrder | integer | optional |
successful operation
POST /crm/v3/properties/{objectType}/groups
/crm/v3/properties/{objectType}/groups/{groupName}
Move a property group identified by {groupName} to the recycling bin.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| groupName | path | required | string | — |
No content
DELETE /crm/v3/properties/{objectType}/groups/{groupName}
/crm/v3/properties/{objectType}/groups/{groupName}
Read a property group identified by {groupName}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| groupName | path | required | string | — |
successful operation
GET /crm/v3/properties/{objectType}/groups/{groupName}
/crm/v3/properties/{objectType}/groups/{groupName}
Perform a partial update of a property group identified by {groupName}. Provided fields will be overwritten.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| groupName | path | required | string | — |
application/json
PropertyGroupUpdate
| Property | Type | Required |
|---|---|---|
| label | string | optional |
| displayOrder | integer | optional |
successful operation
PATCH /crm/v3/properties/{objectType}/groups/{groupName}
/crm/v3/owners
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| query | optional | string | Filter by email address (optional) |
|
| after | query | optional | string | The paging cursor token of the last successfully read resource will be returned as the |
| limit | query | optional | integer | The maximum number of results to display per page. |
| archived | query | optional | boolean | Whether to return only results that have been archived. |
successful operation
GET /crm/v3/owners
/crm/v3/owners/{ownerId}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| ownerId | path | required | integer | — |
| idProperty | query | optional | string | — |
| archived | query | optional | boolean | Whether to return only results that have been archived. |
successful operation
GET /crm/v3/owners/{ownerId}
/crm/v3/pipelines/{objectType}/{pipelineId}/audit
Return a reverse chronological list of all mutations that have occurred on the pipeline identified by {pipelineId}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
successful operation
GET /crm/v3/pipelines/{objectType}/{pipelineId}/audit
/crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}/audit
Return a reverse chronological list of all mutations that have occurred on the pipeline stage identified by {stageId}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| stageId | path | required | string | — |
successful operation
GET /crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}/audit
/crm/v3/pipelines/{objectType}/{pipelineId}/stages
Return all the stages associated with the pipeline identified by {pipelineId}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
successful operation
GET /crm/v3/pipelines/{objectType}/{pipelineId}/stages
/crm/v3/pipelines/{objectType}/{pipelineId}/stages
Create a new stage associated with the pipeline identified by {pipelineId}. The entire stage object, including its unique ID, will be returned in the response.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
application/json
PipelineStageInput
| Property | Type | Required |
|---|---|---|
| label | string | required |
| metadata | object | required |
| displayOrder | integer | required |
successful operation
POST /crm/v3/pipelines/{objectType}/{pipelineId}/stages
/crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}
Delete the pipeline stage identified by {stageId} associated with the pipeline identified by {pipelineId}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
| stageId | path | required | string | — |
No content
DELETE /crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}
/crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}
Return the stage identified by {stageId} associated with the pipeline identified by {pipelineId}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
| stageId | path | required | string | — |
successful operation
GET /crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}
/crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}
Perform a partial update of the pipeline stage identified by {stageId} associated with the pipeline identified by {pipelineId}. Any properties not included in this update will keep their existing values. The updated stage will be returned in the response.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
| stageId | path | required | string | — |
application/json
PipelineStagePatchInput
| Property | Type | Required |
|---|---|---|
| label | string | optional |
| archived | boolean | optional |
| metadata | object | required |
| displayOrder | integer | optional |
successful operation
PATCH /crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}
/crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}
Replace all the properties of an existing pipeline stage with the values provided. The updated stage will be returned in the response.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
| stageId | path | required | string | — |
application/json
PipelineStageInput
| Property | Type | Required |
|---|---|---|
| label | string | required |
| metadata | object | required |
| displayOrder | integer | required |
successful operation
PUT /crm/v3/pipelines/{objectType}/{pipelineId}/stages/{stageId}
/crm/v3/pipelines/{objectType}
Return all pipelines for the object type specified by {objectType}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
successful operation
GET /crm/v3/pipelines/{objectType}
/crm/v3/pipelines/{objectType}
Create a new pipeline with the provided property values. The entire pipeline object, including its unique ID, will be returned in the response.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
application/json
PipelineInput
| Property | Type | Required |
|---|---|---|
| label | string | required |
| stages | array | required |
| └ label | string | required |
| └ metadata | object | required |
| └ displayOrder | integer | required |
| displayOrder | integer | required |
successful operation
POST /crm/v3/pipelines/{objectType}
/crm/v3/pipelines/{objectType}/{pipelineId}
Delete the pipeline identified by {pipelineId}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
| validateReferencesBeforeDelete | query | optional | boolean | — |
| validateDealStageUsagesBeforeDelete | query | optional | boolean | — |
No content
DELETE /crm/v3/pipelines/{objectType}/{pipelineId}
/crm/v3/pipelines/{objectType}/{pipelineId}
Return a single pipeline object identified by its unique {pipelineId}.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
successful operation
GET /crm/v3/pipelines/{objectType}/{pipelineId}
/crm/v3/pipelines/{objectType}/{pipelineId}
Perform a partial update of the pipeline identified by {pipelineId}. The updated pipeline will be returned in the response.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
| validateReferencesBeforeDelete | query | optional | boolean | — |
| validateDealStageUsagesBeforeDelete | query | optional | boolean | — |
application/json
PipelinePatchInput
| Property | Type | Required |
|---|---|---|
| label | string | optional |
| archived | boolean | optional |
| displayOrder | integer | optional |
successful operation
PATCH /crm/v3/pipelines/{objectType}/{pipelineId}
/crm/v3/pipelines/{objectType}/{pipelineId}
Replace all the properties of an existing pipeline with the values provided. This will overwrite any existing pipeline stages. The updated pipeline will be returned in the response.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
| pipelineId | path | required | string | — |
| validateReferencesBeforeDelete | query | optional | boolean | — |
| validateDealStageUsagesBeforeDelete | query | optional | boolean | — |
application/json
PipelineInput
| Property | Type | Required |
|---|---|---|
| label | string | required |
| stages | array | required |
| └ label | string | required |
| └ metadata | object | required |
| └ displayOrder | integer | required |
| displayOrder | integer | required |
successful operation
PUT /crm/v3/pipelines/{objectType}/{pipelineId}
/crm/v3/imports/{importId}/errors
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| after | query | optional | string | The paging cursor token of the last successfully read resource will be returned as the |
| limit | query | optional | integer | The maximum number of results to display per page. |
| importId | path | required | integer | — |
successful operation
GET /crm/v3/imports/{importId}/errors
/crm/v3/objects/companies/merge
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/companies/merge
/crm/v3/objects/contacts/merge
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/contacts/merge
/crm/v3/objects/deals/merge
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/deals/merge
/crm/v3/objects/feedback_submissions/merge
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/feedback_submissions/merge
/crm/v3/objects/line_items/merge
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/line_items/merge
/crm/v3/objects/products/merge
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/products/merge
/crm/v3/objects/quotes/merge
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/quotes/merge
/crm/v3/objects/tickets/merge
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/tickets/merge
/crm/v3/objects/{objectType}/merge
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objectType | path | required | string | — |
application/json
PublicMergeInput
| Property | Type | Required |
|---|---|---|
| objectIdToMerge | string | required |
| primaryObjectId | string | required |
successful operation
POST /crm/v3/objects/{objectType}/merge
/crm/v3/extensions/calling/{appId}/settings/recording
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| appId | path | required | integer | — |
successful operation
GET /crm/v3/extensions/calling/{appId}/settings/recording
/crm/v3/extensions/calling/{appId}/settings/recording
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| appId | path | required | integer | — |
application/json
RecordingSettingsPatchRequest
| Property | Type | Required |
|---|---|---|
| urlToRetrieveAuthedRecording | string | optional |
successful operation
PATCH /crm/v3/extensions/calling/{appId}/settings/recording
/crm/v3/extensions/calling/{appId}/settings/recording
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| appId | path | required | integer | — |
application/json
RecordingSettingsRequest
| Property | Type | Required |
|---|---|---|
| urlToRetrieveAuthedRecording | string | required |
successful operation
POST /crm/v3/extensions/calling/{appId}/settings/recording
/crm/v3/objects/companies/search
application/json
PublicObjectSearchRequest
| Property | Type | Required |
|---|---|---|
| after | string | required |
| limit | integer | required |
| query | string | optional |
| sorts | array | required |
| properties | array | required |
| filterGroups | array | required |
| └ filters | array | required |
| └ value | string | optional |
| └ values | array | optional |
| └ operator | string | required |
| └ highValue | string | optional |
| └ propertyName | string | required |
successful operation
POST /crm/v3/objects/companies/search
/crm/v3/objects/contacts/search
application/json
PublicObjectSearchRequest
| Property | Type | Required |
|---|---|---|
| after | string | required |
| limit | integer | required |
| query | string | optional |
| sorts | array | required |
| properties | array | required |
| filterGroups | array | required |
| └ filters | array | required |
| └ value | string | optional |
| └ values | array | optional |
| └ operator | string | required |
| └ highValue | string | optional |
| └ propertyName | string | required |
successful operation
POST /crm/v3/objects/contacts/search
/crm/v3/objects/deals/search
application/json
PublicObjectSearchRequest
| Property | Type | Required |
|---|---|---|
| after | string | required |
| limit | integer | required |
| query | string | optional |
| sorts | array | required |
| properties | array | required |
| filterGroups | array | required |
| └ filters | array | required |
| └ value | string | optional |
| └ values | array | optional |
| └ operator | string | required |
| └ highValue | string | optional |
| └ propertyName | string | required |
successful operation
POST /crm/v3/objects/deals/search